BaseCatalinaMBean (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.mbeans

## Class BaseCatalinaMBean<T>

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.BaseCatalinaMBean<T>

- All Implemented Interfaces:
    DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster
  Direct Known Subclasses:
    ClassNameMBean, ContainerMBean, ContextEnvironmentMBean, ContextMBean, ContextResourceLinkMBean, ContextResourceMBean, ServiceMBean

      public abstract class BaseCatalinaMBean<T>
      extends BaseModelMBean

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseCatalinaMBean()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected T` | `doGetManagedResource()`
    `protected static Object` | `newInstance(String type)`

    - ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseCatalinaMBean

          public BaseCatalinaMBean()

  - ### Method Detail

    - #### doGetManagedResource

          protected T doGetManagedResource()
                                    throws MBeanException

      Throws:
        `MBeanException`

    - #### newInstance

          protected static Object newInstance(String type)
                                       throws MBeanException

      Throws:
        `MBeanException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.